Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class ViewCriteriaMarshaller

`java.lang.Object
oracle.jbo.common.ViewCriteriaMarshaller`

public class ViewCriteriaMarshaller
extends java.lang.Object

Constructor Summary
`ViewCriteriaMarshaller()`

Method Summary
`static ViewCriteria` | `createCriteria(ViewObject vo, SvcMsgDataRow[] rowEntries, boolean[] isUpper, int[] conjunctions)`
`static ViewCriteria` | `fromSvcMsg(ViewObject vo, RequestParams reqParams)`
`static ViewCriteria` | `fromSvcMsgResp(ViewObject vo, ResponseValues respValues)`
`static SvcMsgDataRow[]` | `getSvcMsgDataRows(int voId, ViewCriteria vCrit, boolean[] isUpper, int[] conjunctions)`
`static RequestParams` | `toSvcMsg(int voId, ViewCriteria vCrit)`
`static ResponseValues` | `toSvcMsgResp(ViewCriteria vCrit, java.lang.String reqName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ViewCriteriaMarshaller

    public ViewCriteriaMarshaller()

Method Detail

### createCriteria

    public static ViewCriteria createCriteria(ViewObject vo,
                                              SvcMsgDataRow[] rowEntries,
                                              boolean[] isUpper,
                                              int[] conjunctions)

### fromSvcMsg

    public static ViewCriteria fromSvcMsg(ViewObject vo,
                                          RequestParams reqParams)

### fromSvcMsgResp

    public static ViewCriteria fromSvcMsgResp(ViewObject vo,
                                              ResponseValues respValues)

### getSvcMsgDataRows

    public static SvcMsgDataRow[] getSvcMsgDataRows(int voId,
                                                    ViewCriteria vCrit,
                                                    boolean[] isUpper,
                                                    int[] conjunctions)

### toSvcMsg

    public static RequestParams toSvcMsg(int voId,
                                         ViewCriteria vCrit)

### toSvcMsgResp

    public static ResponseValues toSvcMsgResp(ViewCriteria vCrit,
                                              java.lang.String reqName)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.